Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.meta
Class CFMetaDataParser

    java.lang.Object
      |
      +--org.xml.sax.helpers.DefaultHandler
            |
            +--com.solarmetric.meta.XMLMetaDataParser
                  |
                  +--com.solarmetric.meta.CFMetaDataParser

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler, MetaDataParser

Direct Known Subclasses:
  JDOMetaDataParser, QueryMetaDataParser

public abstract synchronized class CFMetaDataParser
extends XMLMetaDataParser

Constructor Summary
`CFMetaDataParser()`

Method Summary
`protected Class` | `classForName(String, boolean)`
`static Class` | `classForName(String, String, boolean, ClassLoader)`
`protected abstract void` | `endClass(String)`
`protected abstract void` | `endClassElement(String)`
`protected void` | `endElement(String)`
`protected String` | `getDeclaredClass()`
`protected String` | `getDeclaredPackage()`
`protected void` | `reset()`
`protected abstract void` | `startClass(String, Attributes)`
`protected abstract void` | `startClassElement(String, Attributes)`
`protected void` | `startElement(String, Attributes)`

Methods inherited from class com.solarmetric.meta.XMLMetaDataParser
`addResult, characters, clear, currentClassLoader, endElement, error, fatalError, findMetaData, finish, getClassLoader, getCurrentLocation, getDocType, getExpectedRootName, getExtension, getLexicalHandler, getLocation, getLog, getParseText, getResults, getSourceFile, getSourceIsSystemId, getSourceName, getText, isValidating, parse, parse, parse, parse, parseNew, setClassLoader, setDocumentLocator, setLocation, setLog, setParseText, setSourceIsSystemId, setValidating, startElement, throwException, throwException`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CFMetaDataParser

    public CFMetaDataParser()

Method Detail

### startElement

    protected void startElement(String,
                                Attributes)
                         throws SAXException

  Overrides:
    `startElement` in class `XMLMetaDataParser`

### endElement

    protected void endElement(String)
                       throws SAXException

  Overrides:
    `endElement` in class `XMLMetaDataParser`

### startClass

    protected abstract void startClass(String,
                                       Attributes)
                                throws SAXException

### endClass

    protected abstract void endClass(String)
                              throws SAXException

### startClassElement

    protected abstract void startClassElement(String,
                                              Attributes)
                                       throws SAXException

### endClassElement

    protected abstract void endClassElement(String)
                                     throws SAXException

### reset

    protected void reset()

  Overrides:
    `reset` in class `XMLMetaDataParser`

### getDeclaredClass

    protected String getDeclaredClass()

### getDeclaredPackage

    protected String getDeclaredPackage()

### classForName

    protected Class classForName(String,
                                 boolean)
                          throws SAXException

### classForName

    public static Class classForName(String,
                                     String,
                                     boolean,
                                     ClassLoader)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.